Skip to content

Unarchive contact

Request

You can unarchive a single contact.

Security
bearerAuth
Path
contact_idstringrequired

contact_id

Example:63a07ddf05a32042dffac965
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X POST \
  https://api.intercom.io/contacts/63a07ddf05a32042dffac965/unarchive \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

always contact

Value:"contact"
Example:"contact"
idstring

The unique identifier for the contact which is given by Intercom.

Example:"5ba682d23d7cf92bef87bfd4"
external_idstring or null

The unique identifier for the contact which is provided by the Client.

Example:"70"
archivedboolean

Whether the contact is archived or not.

Example:false
Response
{ "archived": false, "type": "contact", "id": "5ba682d23d7cf92bef87bfd4", "external_id": "70" }